GET api/contractItemapi/contractItem/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
ContractItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| item_code | string |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"item_code": "sample string 1",
"selected_sticker_id": "0b7fb3c3-92c2-4b41-b85b-3a31b6341f09",
"selected_nameplate_id": "73adf02d-72e4-4871-8586-a81f54e77231",
"active": true,
"contract_id": "054c61f7-5d82-458e-aa86-9ea09d983c2f",
"id": "90796c76-5a10-4e27-9297-af2687257a94",
"physical_item_id": "6dc68b40-3aac-45f4-aa4d-1d46085868ee",
"service_item_id": "9bb6fb7d-10cb-4f5c-8bb5-232eb16d2980",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<contract_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<contract_id>054c61f7-5d82-458e-aa86-9ea09d983c2f</contract_id>
<id>90796c76-5a10-4e27-9297-af2687257a94</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>6dc68b40-3aac-45f4-aa4d-1d46085868ee</physical_item_id>
<quantity>1</quantity>
<service_item_id>9bb6fb7d-10cb-4f5c-8bb5-232eb16d2980</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>73adf02d-72e4-4871-8586-a81f54e77231</selected_nameplate_id>
<selected_sticker_id>0b7fb3c3-92c2-4b41-b85b-3a31b6341f09</selected_sticker_id>
</contract_item>